package util

import "math"

func Maxi(a, b int) int {
	if a > b {
		return a
	}
	return b
}
func Mini(a, b int) int {
	if a < b {
		return a
	}
	return b
}

func Maxf(a, b float32) float32 {
	if a > b {
		return a
	}
	return b
}
func Minf(a, b float32) float32 {
	if a < b {
		return a
	}
	return b
}

func Maxd(a, b float64) float64 {
	if a > b {
		return a
	}
	return b
}
func Mind(a, b float64) float64 {
	if a < b {
		return a
	}
	return b
}

func AbsMaxd(a, b float64) float64 {
	if math.Abs(a) > math.Abs(b) {
		return a
	}
	return b
}
func AbsMind(a, b float64) float64 {
	if math.Abs(a) < math.Abs(b) {
		return a
	}
	return b
}

func AbsInt(x int) int {
	if x < 0 {
		return -x
	}
	return x
}
